/* 
 * File:   main.c
 * Author: Gerd Bartelt
 *
 * 
 */

#include <xc.h>
#include "main.h"
#include "encoder.h"
#include "sound.h"
#include "frq.h"


// CONFIG1
#pragma config FCMEN = OFF
#pragma config IESO = OFF
#pragma config CLKOUTEN = OFF
#pragma config BOREN = OFF
#pragma config CP = OFF
#pragma config MCLRE = ON
#pragma config PWRTE = OFF
#pragma config WDTE = OFF
#pragma config FOSC = HS

// CONFIG2
#pragma config LVP = OFF
#pragma config LPBOR = OFF
#pragma config BORV = 0
#pragma config STVREN = ON
#pragma config PLLEN = ON
#pragma config ZCDDIS = ON
#pragma config PPS1WAY = OFF
#pragma config WRT = OFF

/*
 * 
 */
void main() {

    OPTION_REG = 0b01111111; // Weak pull up enabled
    ANSELA = 0x00; //digital input
    TRISA = 0b11111111; // set RA0 to be output,RA1..RA3 to input
    WPUA = 0b00001011; // Weak pull up on RA0,R1,RA3

    // Initialize the modules

    ENC_Init();
    FRQ_Init();
    SND_Init();

    while (1) {
        ENC_Task();
        __delay_us(100);
    }
}

